@font-face {
    font-family: 'Fira_Sans';
    src: url("../fonts/Fira_Sans/FiraSans-Regular.ttf");
  }

*, ::after, ::before {
    box-sizing: border-box;
}
:root{
    --background-section: #ddd;
    --header-height:6rem;
    --btn-submit: #546357;
    --label-color: #28282c;
    --label-color-soft:#5a5a63;
    --input-background:#eae9e9;
    --btn-select:#879b8b;
    --btn-hover:#28282c;
}
html{
    font-size: 10px;
    font-family: 'Fira_Sans';
}
body{
    margin:0;
    min-width: 300px;
}
.ankete-background{
    background: var(--background-section);
}
select, input[type="checkbox"]{
    cursor:pointer;
}
a{
    text-decoration: none;
    text-align: center;
    cursor:pointer;
}
.justify-center{
    justify-content: center;
}
.btn{
    border-radius: 5px;
    color:#fff;
    cursor:pointer;
}
datalist{
 font-family: inherit;
 font-size: 1.8rem;
}
.margin-top{
    margin-top:2em;
}
.overlay{
    position:fixed;
    top:0;
    left:0;
    height:100%;
    width:100%;
    z-index:10;
}
.overlay.white{
    background: #fff;
}
.overlay.transparent{
    background: #000;
    opacity:0.5;
}
.message-container{
    display: flex;
    justify-content: center;
    align-items: center;
}
.message-container.intro{
    background: inherit;
}
.message-container.dialog{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    height:100%;
    z-index:20;
}
.message-box{
    padding: 10px;
    font-size: 1rem;
    background: #fff;
    border-radius:5px;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}
.error .message-box{
    background: #f62b2b;
    color:#fff;
}
@media screen and (min-width: 799px){
    .intro .message-box{
        width:80%;
    }
}
.dialog .message-box{
    width: 300px;
}
.message-txt{
    color:#000;
    font-size:1.8em;

    display: flex;
    flex-direction: column;
    justify-content: center;  
}
.intro .message-txt{
    align-items:start;
}
.intro .message-txt:last-child{
    font-size: 1.5em;
}
.dialog .message-txt{
    width:100%;
    height:200px;
}
.dialog p{
    text-align: center;
}
.intro p{
    margin:5px 0;
    text-align:start;
}
.message-box .btn{
    height:50px;
    width:250px;
    margin: 9px 0;
    background: #546357;
    font-size:2em;

    display: flex;
    justify-content: center;
    align-items: center;  
}
.message-box .btn:hover{
    background: #202622;
}
.intro .btn{
    margin: 18px 0;
}
.intro .btn[data-action="showIntro"]{
    font-size:4em;
}
fieldset{
    margin:20px 0;
}
legend{
    background: #5e5e74;
    padding:5px;
    color:#fff;
    font-size: 2em;
}
.navigation{
    height:80px;
    width:100%;
}
.nav-container{
    width:100%;
    height:inherit;
    padding:10px;

    display:flex;
    justify-content:start;
    -webkit-justify-content: flex-start;
    align-items: center;
}
.brand{
    height:var(--header-height);
}
.brand a{
    color: #262626;
    font-weight: bold;
    text-decoration: none;
    font-size: 2em;
}
.header-dialog{
    height:var(--header-height);
    width:100%;
    background: #775656;
    display:flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.header-dialog .txt{
    color:#fff;
    font-size: 2rem;
}
.header-dialog .txt span{
    display: block;
}
.check-form span{
    display:block;
}
.btn-container,
.submitBtn-container{
    display:flex;
    align-items: center;
}
.submitBtn-container{
    height:200px;
}
.save-btn{
    padding:1rem;
    margin-bottom: 50px;
    font-size: 2rem;
    text-align: center;
    background: var(--btn-submit);
}
.save-btn:hover{
    background:var(--btn-hover);
}
div[data-action="formSubmit"] .save-btn{ 
    width:80%;
}
div[data-action="checkData"] .save-btn{ 
    margin:0;
}
.insert-data,
.correct-data
{
    margin: 5px 10px;
}
.row{
    display:flex;
    flex-wrap: wrap;
    font-size: 1rem;
    margin:2em 0;
}
.label, 
.input{
    width:250px;
}
.label-textarea,
.input-textarea{
    width:100%;
}
.label-textarea{
    margin-bottom:1em;
}
.input-textarea textarea{
    min-height: 100px;
    width:100%;
    font-family: inherit;
    font-size: 1.8em;
}
.label{
    font-size: 1.6em;
    color:var(--label-color);
}
.input{
    margin-top:0.5em;
}
.input input{
    font-size: 2em;
    padding-left: 1em;
}
.input-file{
    font-size: 2rem;
    margin-top:1em;
}
.input-file input{
    opacity: 0;
}
.input .btn{
    font-size: 2em;
}
.input-file label,
.input .btn
{
    padding:0.5em;
    background: var(--btn-select);
}
.input-file label:hover,
.input .btn:hover{
    background:var(--btn-hover);
}
.preview{
    width: 225px;
    font-size: inherit;
}
.preview p{
    font-size: 0.6em;
    color:var(--label-color);
}
.preview img{
    height:225px;
}
@media screen and (min-width: 799px) {
    .preview img{
       
    }
}
.preview ul{
    list-style-type:none;
}

.radio-container .input-radio{
    padding:20px 0;
    flex:0 0 100px;
}
.radio-container .input-radio.input-radio-long{
    flex:1 1 200px;
}
.radio-container label{
    font-size: 1.8em;
    color:var(--label-color);
    padding:20px 0;
    cursor:pointer;
}
input[type="radio"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;

    border-radius: 50%;
    width: 16px;
    height: 16px;
  
    border: 2px solid #999;
    transition: 0.2s all linear;
    margin-right: 5px;
  
    position: relative;
    top: 4px;

    cursor:pointer;
  }  
input[type="radio"]:checked {
    border: 6px solid #5e5e74;
  }
.radio-container .input-checkbox{
    padding:20px 0;
    flex:0 0 100px;

    display:flex;
    align-items: center;
}
input[type="checkbox"]{
 height:20px;
 width:20px;
}
/*------------MAIN PAGE--------------------------------*/
.flags-container{
    width:100%;
    margin-top: 60px;

    display:flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
} 
.flag-head{
    font-size: 2.6em;
    color:#000;
} 
.flags-row {
    width: 90%;

    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
  }
.card{
    font-size: 1rem;
    margin:30px;
    text-align: left;
}
.card span{
    display:block;
    margin-top: 15px;
    color: #b31d31;
    font-size: 2em;
    font-weight: bold;
}
.card img{
    width: 300px;
    height: 160px;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    transition: 0.3s;
  }

.card img:hover {
    box-shadow: 0 8px 32px 0 rgba(0,0,0,0.4);
    transform: translateY(-2px);
  }

  /*----------------LOADER---------------------------*/
#loader {
	position: absolute;
	left: 50%;
	top: 50%;
	z-index: 1;
	width: 150px;
	height: 150px;
	margin: -75px 0 0 -75px;
	border: 16px solid #f3f3f3;
	border-radius: 50%;
	border-top: 16px solid #3498db;
	width: 120px;
	height: 120px;
	-webkit-animation: spin 2s linear infinite;
	animation: spin 2s linear infinite;
  }
  
  @-webkit-keyframes spin {
	0% { -webkit-transform: rotate(0deg); }
	100% { -webkit-transform: rotate(360deg); }
  }
  
  @keyframes spin {
	0% { transform: rotate(0deg); }
	100% { transform: rotate(360deg); }
  }

  /*----------MODAL---------------------------*/
.modal-container{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    height:100%;
    z-index:20;

    display:flex;
    justify-content: center;
    align-items: center;
}
.modal{
    width:100%;
    padding:5px 10px;
    background: #fff;
    border-radius: 5px;
    font-size: 1rem;

    position: relative;
    top: 0;
    left: 0;
    max-height: 100vh;
    overflow-y: auto;
}
#AddChild .modal{
    max-width: 1000px;
}
#VisitedCountry .modal{
    max-width: 400px;
}
#AddJob .modal{
    max-width:1000px;
}
.row-modal{
    padding:1em 0;

    display: flex;
    flex-wrap: wrap;
    } 
.row-modal-center{
    justify-content: center;
    align-items: center;
}
.select{
    width:100%;
    margin-top: 1em;
    background: inherit;
    font-size: 1em;
        } 
        .header-modal{
            padding:1em 0;
            color:var(--label-color);
            font-size: 1.8em;
        }
        .label-modal-long{
            width:100%;
        }
        .label-modal{
            width:30%;

            display:flex;
            justify-content: start;
            align-items: center;
        }
        .label-modal-select,
        .label-modal-txt{
            font-size: 1.8em;
            color:var(--label-color-soft);
            position: absolute;
            background: #fff;
            padding: 5px;
        }
        .label-modal-select{
            transform: translate(25px,3px);
            -webkit-transform:translate(25px,3px);
        }
        .label-modal-txt{
            transform: translate(10px,-15px);
            -webkit-transform:translate(10px,-15px);
        }
        .label-modal-long,
        .label-modal{
            font-size: 1.8em;
            color: var(--label-color);
        }
        .input-modal-txt{
            width:300px;
            padding: .5em;
            margin: .5em;
        }
            .input-modal-txt input{
                font-size: 1.8em;
                color:#000;
                padding:0 .5em;
                padding-top:15px;
            }
        .input-modal{
            width:70%;

            display:flex;
            justify-content: center;
            align-items: center;
            }
                .input-modal input{
                    padding: 0.5em;
                    border:none;
                    background: var(--input-background);
                    font-size:2em;
                }
                .modal-row-select{
                    width:100%;
                    padding:1em 0;
    
                    display:flex;
                    justify-content: space-between;
                    align-items: center;
            }
                .modal-row-select select,
                .modal-row-select span{
                    font-size: 1.5em;
                }
                .modal-row-select span{
                    margin-left:1em;
                }
                .modal-row-select select{
                    margin-right:1em;
                }
                .month-modal,
                .year-modal{
                    border:none;
                }
        .modal-row-select-2{
            padding:1em 0;
    
            display:flex;
            flex-wrap: wrap;
            justify-content: center;
        }
        .modal-row-select-2 select{
            font-size: 1.8em;
            color:#000;
            padding:0 0.5em;
            padding-top:15px;
            margin:1em;
            width:200px;
    
            background: #fff;
            border:1px solid #a2a2a7;
            border-radius: 2px;
        }
        .modal-row-textarea{
            padding:1em 0;
            width:100%;

            display:flex;
            flex-wrap: wrap;
            justify-content: center;
            align-items: center;
        }
        .modal-row-textarea .row-modal{
            flex:1 1 100%;
        }
        .modal-row-textarea textarea{
            width:100%;
            min-width:290px;
            min-height: 2em;
            padding:0 0.5em;
            padding-top:15px;
            font-family: inherit;
            font-size: 1.8em;
        }
        .chekbox-modal{
            font-size: 1.8em;

            display:flex;
            align-items: center;
        }
        .chekbox-modal label{
            padding: 0 10px;
            cursor: pointer;
        }
        #AddJob .modal-row-select-2{
            width:100%;
        }
        #AddJob .row-modal{
            width:50%;
        }
        #AddJob select{
            width:100%;
        }
        .table{
            width:100%;
        }
            .td{
                width:25%;
                height:2em;
                background: var(--input-background);
                margin:5px;
                font-size:1.5em;
                cursor:pointer;

                display:flex;
                justify-content: center;
                align-items: center;
            }
            .td.active{
                color:#fff;
                background: var(--btn-select);
            }
.btn-container-modal{
    width:100%;
    margin-top: 1em;
    font-size: 1em;

    display:flex;
    justify-content: end;
    -webkit-justify-content:flex-end;
}
    .btn-modal{
        padding:1em;
        margin-left: 1em;
        font-size: 2em;
        cursor: pointer;
    }

@media screen and (max-width: 400px) {

}
/*-----------------END MODAL--------------------------------*/
table{
    border-collapse: collapse;
    width: 100%;
    min-width: 300px;
	font-size: 1rem;
    font-weight: 200;
    background: #fff;
    box-shadow: 1px 1px 10px #fff;
}
tr{
    font-size: 1.8em;
}
tr, td {
    text-align: center;
    padding: 0.5em;
  }
  .table-control-btn{
      display:flex;
      flex-wrap: wrap;
  }
  th{
      padding: 10px 0;
  }
  .remove-table,
  .correct-table{
      font-size: 1rem;
      margin:0.5em;
      padding:1em 2em;
      background: var(--input-background);
      cursor:pointer;
  }
  .remove-table > i,
  .correct-table > i{
    display: inline-block;
    vertical-align: middle;
    background-repeat: no-repeat;
    background-position: 50% 50%;
    width:20px;
    height:20px;
    color:#000;
  }
  .remove-table > i{
    background-image: url("data:image/svg+xml;charset=utf8, <svg xmlns='http://www.w3.org/2000/svg'  width='20' height='20' viewBox='0 0 24 24'><path d='M15 4V3H9v1H4v2h1v13c0 1.1.9 2 2 2h10c1.1 0 2-.9 2-2V6h1V4h-5zm2 15H7V6h10v13z'></path><path d='M9 8h2v9H9zm4 0h2v9h-2z'></path></svg>");
  }
  .correct-table > i{
    background-image: url("data:image/svg+xml;charset=utf8, <svg xmlns='http://www.w3.org/2000/svg' width='20' height='20' viewBox='0 0 24 24'><path d='M20.41 4.94l-1.35-1.35c-.78-.78-2.05-.78-2.83 0L3 16.82V21h4.18L20.41 7.77c.79-.78.79-2.05 0-2.83zm-14 14.12L5 19v-1.36l9.82-9.82 1.41 1.41-9.82 9.83z'></path></svg>");
  }
  .table-btn{
      width:150px;
      background: var(--btn-select);
      font-size: 1.8em;
      margin:2em;
        padding: .5em;
        text-align: center;
  }
  .table-btn:hover{
      background:var(--btn-hover);
  }
  .child-tbl span:not(.table-control-btn>span){
      display: none;
  }

@media screen and (max-width: 800px) {
    #AddChildField thead,
    #visitedCountry thead,
    #AddJobField thead{
        display:none;
    }
    .child-tbl tr{
        background: #fff;
      box-shadow: 1px 1px 10px #fff;
    }
    .child-tbl td{
        display:block;
        width:100%;
        border-bottom:1px solid #000;

        text-align: left;
    }
    .child-tbl span:not(.table-control-btn>span){
        display:block;
        padding-bottom:10px;
        font-weight: 700;
    }
    .td-last{
        background: var(--background-section);
      }
    .table-control-btn{
        padding:20px;
    }
}


.alarm{
    outline: 2px solid red;
}
.preview .alarm-txt{
    color:red;
}
.hidden{
    visibility: hidden;
}
.hide{
    display: none;
}

@media screen and (min-width: 799px) {

}